package com.dxhy.erp.entity;

import java.util.ArrayList;
import java.util.List;

public class FPEntity {
    private String fpdm;
    private String title;
    private String fphm;
    private String kprq;
    private String jqbh;
    private String jym;
    private String passwordArea;
    private String erWeiMaPicturePath;
    private String erWeiMaData;
    private ArrayList<Goods> goodsList = new ArrayList();
    private List<Goods> detailGoodsList;
    private String buyer_name;
    private String buyer_nsrsbh;
    private String buyer_addressPhoneNum;
    private String buyer_khhandzh;
    private String seller_name;
    private String seller_nsrsbh;
    private String seller_addressPhoneNum;
    private String seller_khhandzh;
    private String hjje;
    private String hjse;
    private String jshj;
    private String bz;
    private String personsInfo;
    private String jxqz;
    private Receivers receivers = new Receivers();

    public FPEntity() {
    }

    public String getJxqz() {
        return this.jxqz;
    }

    public String[] parseJxqz() {
        if (this.jxqz != null && !"".equals(this.jxqz) && this.jxqz.length() >= 3) {
            int index1 = this.jxqz.indexOf("CN=");
            int index2_part1 = this.jxqz.indexOf("\"", index1);
            int index2_part2 = this.jxqz.indexOf(",", index1);
            int index2 = Math.min(index2_part1, index2_part2);
            String cn1 = this.jxqz.substring(index1, index2);
            int index3 = this.jxqz.indexOf("CN=", index2);
            int index4_part1 = this.jxqz.indexOf("\"", index3);
            int index4_part2 = this.jxqz.indexOf(",", index3);
            if (index4_part1 == -1) {
                index4_part1 = index4_part2;
            }

            if (index4_part2 == -1) {
                index4_part2 = index4_part1;
            }

            int index4 = Math.min(index4_part1, index4_part2);
            String cn2 = "";
            if (index3 != -1) {
                cn2 = this.jxqz.substring(index3, index4);
            }

            if (cn2.length() > 3) {
                cn2 = cn2.substring(3);
            }

            if (cn1.length() > 3) {
                cn1 = cn1.substring(3);
            }

            String[] jxqzArr = new String[]{"Ca:" + cn1, "Subject:" + cn2};
            return jxqzArr;
        } else {
            return null;
        }
    }

    public void setJxqz(String jxqz) {
        this.jxqz = jxqz;
    }

    public String getFpdm() {
        return this.fpdm;
    }

    public void setFpdm(String fpdm) {
        this.fpdm = fpdm;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getFphm() {
        return this.fphm;
    }

    public void setFphm(String fphm) {
        this.fphm = fphm;
    }

    public String getKprq() {
        return this.kprq;
    }

    public void setKprq(String kprq) {
        this.kprq = kprq;
    }

    public String getJqbh() {
        return this.jqbh;
    }

    public void setJqbh(String jqbh) {
        this.jqbh = jqbh;
    }

    public String getJym() {
        return this.jym;
    }

    public void setJym(String jym) {
        this.jym = jym;
    }

    public ArrayList<Goods> getGoodsList() {
        return this.goodsList;
    }

    public void setGoodsList(ArrayList<Goods> goodsList) {
        this.goodsList = goodsList;
    }

    public String getBuyer_name() {
        return this.buyer_name;
    }

    public List<Goods> getDetailGoodsList() {
        return this.detailGoodsList;
    }

    public void setDetailGoodsList(List<Goods> detailGoodsList) {
        this.detailGoodsList = detailGoodsList;
    }

    public void setBuyer_name(String buyerName) {
        this.buyer_name = buyerName;
    }

    public String getBuyer_nsrsbh() {
        return this.buyer_nsrsbh;
    }

    public void setBuyer_nsrsbh(String buyerNsrsbh) {
        this.buyer_nsrsbh = buyerNsrsbh;
    }

    public String getBuyer_addressPhoneNum() {
        return this.buyer_addressPhoneNum;
    }

    public void setBuyer_addressPhoneNum(String buyerAddressPhoneNum) {
        this.buyer_addressPhoneNum = buyerAddressPhoneNum;
    }

    public String getBuyer_khhandzh() {
        return this.buyer_khhandzh;
    }

    public void setBuyer_khhandzh(String buyerKhhandzh) {
        this.buyer_khhandzh = buyerKhhandzh;
    }

    public String getSeller_name() {
        return this.seller_name;
    }

    public void setSeller_name(String sellerName) {
        this.seller_name = sellerName;
    }

    public String getSeller_nsrsbh() {
        return this.seller_nsrsbh;
    }

    public void setSeller_nsrsbh(String sellerNsrsbh) {
        this.seller_nsrsbh = sellerNsrsbh;
    }

    public String getSeller_addressPhoneNum() {
        return this.seller_addressPhoneNum;
    }

    public void setSeller_addressPhoneNum(String sellerAddressPhoneNum) {
        this.seller_addressPhoneNum = sellerAddressPhoneNum;
    }

    public String getSeller_khhandzh() {
        return this.seller_khhandzh;
    }

    public void setSeller_khhandzh(String sellerKhhandzh) {
        this.seller_khhandzh = sellerKhhandzh;
    }

    public String getPasswordArea() {
        return this.passwordArea;
    }

    public void setPasswordArea(String passwordArea) {
        this.passwordArea = passwordArea;
    }

    public String getHjje() {
        return this.hjje;
    }

    public void setHjje(String hjje) {
        this.hjje = hjje;
    }

    public String getHjse() {
        return this.hjse;
    }

    public void setHjse(String hjse) {
        this.hjse = hjse;
    }

    public String getJshj() {
        return this.jshj;
    }

    public void setJshj(String jshj) {
        this.jshj = jshj;
    }

    public String getBz() {
        return this.bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getPersonsInfo() {
        return this.personsInfo;
    }

    public void setPersonsInfo(String personsInfo) {
        this.personsInfo = personsInfo;
    }

    public String getErWeiMaPicturePath() {
        return this.erWeiMaPicturePath;
    }

    public void setErWeiMaPicturePath(String erWeiMaPicturePath) {
        this.erWeiMaPicturePath = erWeiMaPicturePath;
    }

    public String getErWeiMaData() {
        return this.erWeiMaData;
    }

    public void setErWeiMaData(String erWeiMaData) {
        this.erWeiMaData = erWeiMaData;
    }

    public Receivers getReceivers() {
        return this.receivers;
    }

    public void setReceivers(Receivers receivers) {
        this.receivers = receivers;
    }

    public String toString() {
        return "FPEntity [fpdm=" + this.fpdm + ", title=" + this.title + ", fphm=" + this.fphm + ", kprq=" + this.kprq + ", jqbh=" + this.jqbh + ", jym=" + this.jym + ", passwordArea=" + this.passwordArea + ", erWeiMaPicturePath=" + this.erWeiMaPicturePath + ", erWeiMaData=" + this.erWeiMaData + ", goodsList=" + this.goodsList + ", detailGoodsList=" + this.detailGoodsList + ", buyer_name=" + this.buyer_name + ", buyer_nsrsbh=" + this.buyer_nsrsbh + ", buyer_addressPhoneNum=" + this.buyer_addressPhoneNum + ", buyer_khhandzh=" + this.buyer_khhandzh + ", seller_name=" + this.seller_name + ", seller_nsrsbh=" + this.seller_nsrsbh + ", seller_addressPhoneNum=" + this.seller_addressPhoneNum + ", seller_khhandzh=" + this.seller_khhandzh + ", hjje=" + this.hjje + ", hjse=" + this.hjse + ", jshj=" + this.jshj + ", bz=" + this.bz + ", personsInfo=" + this.personsInfo + ", jxqz=" + this.jxqz + ", receivers=" + this.receivers + "]";
    }
}

